<?php

if (!defined('TYPO3_MODE')) {
        die('Access denied.');
}

if (!function_exists('cmd_getTCAtext')) {

        function cmd_getTCAtext($name, $iter = 1) {
                return array(
                    'exclude' => 0,
                    'label' => trim($name . ' ' . $iter),
                    'config' => array(
                        'type' => 'input',
                        'size' => '30',
                    )
                );
        }

}

if (!function_exists('cmd_getTCArte')) {

        function cmd_getTCArte($name, $iter = '') {
                return array(
                    'exclude' => 0,
                    'label' => trim($name . ' ' . $iter),
                    'config' => array(
                        'type' => 'text',
                        'cols' => '80',
                        'rows' => '15',
                        'wizards' => array(
                            '_PADDING' => 4,
                            '_VALIGN' => 'middle',
                            'RTE' => array(
                                'notNewRecords' => 1,
                                'RTEonly' => 1,
                                'type' => 'script',
                                'title' => 'LLL:EXT:cms/locallang_ttc.xlf:bodytext.W.RTE',
                                'icon' => 'wizard_rte2.gif',
                                'module' => array(
                                    'name' => 'wizard_rte'
                                )
                            ),
                        ),
                    )
                );
        }

}


$TCA['tx_cmddummy_table'] = array(
    'ctrl' => $TCA['tx_cmddummy_table']['ctrl'],
    'interface' => array('showRecordFieldList' => ''),
    'types' => array('0' => array('showitem' => '')),
    'palettes' => array(),
    'columns' => array(),
);

// first fields set
for ($x=1; $x<=3; $x++) {
        $TCA['tx_cmddummy_table']['interface']['showRecordFieldList'].= ',field' . $x;
        $TCA['tx_cmddummy_table']['types']['0']['showitem'].= ',field' . $x;
        $TCA['tx_cmddummy_table']['columns']['field' . $x] = cmd_getTCAtext('field', $x);
}

// first RTE
$TCA['tx_cmddummy_table']['interface']['showRecordFieldList'].= ',rte1';
$TCA['tx_cmddummy_table']['types']['0']['showitem'].= ',rte1;LLL:EXT:cms/locallang_ttc.xlf:bodytext_formlabel;;richtext:rte_transform[flag=rte_enabled|mode=ts_css]';
$TCA['tx_cmddummy_table']['columns']['rte1'] = cmd_getTCArte('rte', 1);

// second fields set
for ($x=4; $x<=10; $x++) {
        $TCA['tx_cmddummy_table']['interface']['showRecordFieldList'].= ',field' . $x;
        $TCA['tx_cmddummy_table']['types']['0']['showitem'].= ',field' . $x;
        $TCA['tx_cmddummy_table']['columns']['field' . $x] = cmd_getTCAtext('field', $x);
}

// second RTE
$TCA['tx_cmddummy_table']['interface']['showRecordFieldList'].= ',rte2';
$TCA['tx_cmddummy_table']['types']['0']['showitem'].= ',rte2;LLL:EXT:cms/locallang_ttc.xlf:bodytext_formlabel;;richtext:rte_transform[flag=rte_enabled|mode=ts_css]';
$TCA['tx_cmddummy_table']['columns']['rte2'] = cmd_getTCArte('rte', 2);
